<?php

namespace AppBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpFoundation\Request;
use AppBundle\Entity\Film;
use AppBundle\Form\FilmType;

class VideothequePersonnelleController extends Controller
{
	/**
     * @Route("/maliste/", name="videothequepersonnelle_maliste")
     */
	public function maListeAction (Request $request)
    {
        $resultats = array();
        $user = $this->getUser();
        foreach ($user->getFilms() as $key => $film) {
            $resultats[$key] = $this->get('serializer')->serialize($film, 'json');
        }
        return new JsonResponse($resultats);
    }

    /**
     * @Route("/maliste/ajouter/", name="maliste_modifier")
     * @param Request $request
     * @return JsonResponse
     */
    public function modifierFilmDansListeAction(Request $request)
    {
        $em = $this->getDoctrine()->getManager();
        $repo = $em->getRepository('AppBundle:Film');
        $film = $repo->find($request->request->get('id_film'));
        if ($request->isXmlHttpRequest())
        {
            $film->inverseUserWantToView($this->getUser());
            $em->flush();
        }
        /*$resultat = $this->get('serializer')->serialize($film, 'json');*/
        return new Response('OK');
    }

}
